Package org.apache.commons.jxpath.ri.model.dynabeans

# Class DynaBeanPointerFactory

java.lang.Object
org.apache.commons.jxpath.ri.model.dynabeans.DynaBeanPointerFactory

All Implemented Interfaces:
  `NodePointerFactory`

public class DynaBeanPointerFactory extends Object implements NodePointerFactory
Implements NodePointerFactory for DynaBeans. See Apache Commons BeanUtils

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DYNA_BEAN_POINTER_FACTORY_ORDER`
  Factory order constant

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DynaBeanPointerFactory()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NodePointer`
  `createNodePointer(NodePointer parent, QName qName, Object bean)`
  Create a NodePointer for the supplied child object.
  `NodePointer`
  `createNodePointer(QName qName, Object bean, Locale locale)`
  Create a NodePointer for the supplied object.
  `int`
  `getOrder()`
  The factory order number determines its position between other factories.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DYNA_BEAN_POINTER_FACTORY_ORDER

    public static final int DYNA_BEAN_POINTER_FACTORY_ORDER
    Factory order constant
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DynaBeanPointerFactory

    public DynaBeanPointerFactory()
    Constructs a new instance.

- ## Method Details

  - ### createNodePointer

    public NodePointer createNodePointer(NodePointer parent, QName qName, Object bean)
    Description copied from interface: `NodePointerFactory`
    Create a NodePointer for the supplied child object.
    Specified by:
      `createNodePointer` in interface `NodePointerFactory`
    Parameters:
      `parent` - parent node
      `qName` - node name
      `bean` - child object
    Returns:
      null if this factory does not recognize objects of the supplied type.

  - ### createNodePointer

    public NodePointer createNodePointer(QName qName, Object bean, Locale locale)
    Description copied from interface: `NodePointerFactory`
    Create a NodePointer for the supplied object. The node will represent the "root" object for a path.
    Specified by:
      `createNodePointer` in interface `NodePointerFactory`
    Parameters:
      `qName` - node name
      `bean` - child object
      `locale` - Locale
    Returns:
      null if this factory does not recognize objects of the supplied type.

  - ### getOrder

    public int getOrder()
    Description copied from interface: `NodePointerFactory`
    The factory order number determines its position between other factories.
    Specified by:
      `getOrder` in interface `NodePointerFactory`
    Returns:
      int order